CREATE TABLE fun_bal_headers_t (
    GROUP_ID                NUMBER       ,
    JE_SOURCE_NAME          VARCHAR2(100),
    JE_CATEGORY_NAME        VARCHAR2(100),
    TRX_TYPE_ID             NUMBER(18, 0),
    GL_DATE                 DATE             NOT NULL,
    CLEARING_BSV            VARCHAR2(100),
    STATUS                  VARCHAR2(20)     NOT NULL,
    INTERCOMPANY_MODE       NUMBER(1, 0) ,
    DRIVING_DR_LEDGER_ID    NUMBER(18, 0),
    DRIVING_CR_LEDGER_ID    NUMBER(18, 0),
    DRIVING_DR_LE_ID        NUMBER(18, 0),
    DRIVING_CR_LE_ID        NUMBER(18, 0),
    LEDGER_COUNT            NUMBER(18, 0),
    LE_COUNT                NUMBER(18, 0),
    CURR_COUNT              NUMBER(18, 0),
    UNMAPPED_BSV_LE_ID      NUMBER(18, 0),
    ERROR_CODE              VARCHAR2(120),
    GROUP_ID                NUMBER       ,
    JE_SOURCE_NAME          VARCHAR2(100),
    JE_CATEGORY_NAME        VARCHAR2(100),
    TRX_TYPE_ID             NUMBER(18, 0),
    GL_DATE                 DATE             NOT NULL,
    CLEARING_BSV            VARCHAR2(100),
    STATUS                  VARCHAR2(20)     NOT NULL,
    INTERCOMPANY_MODE       NUMBER(1, 0) ,
    DRIVING_DR_LEDGER_ID    NUMBER(18, 0),
    DRIVING_CR_LEDGER_ID    NUMBER(18, 0),
    DRIVING_DR_LE_ID        NUMBER(18, 0),
    DRIVING_CR_LE_ID        NUMBER(18, 0),
    LEDGER_COUNT            NUMBER(18, 0),
    LE_COUNT                NUMBER(18, 0),
    CURR_COUNT              NUMBER(18, 0),
    UNMAPPED_BSV_LE_ID      NUMBER(18, 0),
    ERROR_CODE              VARCHAR2(120),
    CONSTRAINT pk_fun_bal_headers_t PRIMARY KEY (GROUP_ID, GROUP_ID)
);
